<template>
	<view class="postList">
		
		<navbar 
		leftClick
		@leftClick="$utils.navigateBack"
		title="演员集"/>
		
		
		<view class="title">
			创作者
		</view>
		
		<view class="box">
			<view class="search">
				<!-- <view class="icon">
					<uv-icon
					size="40rpx"
					name="search"></uv-icon>
				</view>
				<input type="text" placeholder="请输入搜索关键字..." 
				v-model="queryParams.title"/>
				<view class="text"
				@click="getData">
					搜索
				</view> -->
				
				<uv-search
				bgColor="#fff"
				@search="getData"
				@custom="getData"
				placeholder="请输入搜索关键字..." 
				v-model="queryParams.title"></uv-search>
			</view>
			
			<actorList :list="actorList"/>
		</view>
	</view>
</template>

<script>
	import actorList from '@/components/post/actorList.vue'
	export default {
		components : {
			actorList
		},
		data() {
			return {
				actorList : [],
				total : 0,
				queryParams: {
					pageNo: 1,
					pageSize: 10,
					title : '',
				},
			}
		},
		onShow() {
			this.queryParams.pageNo = 1
			this.getData()
		},
		onPullDownRefresh(){
			this.getData()
		},
		onReachBottom(){
			if(this.queryParams.pageSize < this.total){
				//当前条数小于总条数 则增加请求数
				this.queryParams.pageSize += 10
				this.getData() //调用加载数据方法
			}
		},
		methods: {
			getData(){
				this.$api('indexGetActorSetPage', this.queryParams, res => {
					uni.stopPullDownRefresh()
					if(res.code == 200){
						this.actorList = res.result.records
						this.total = res.result.total
					}
				})
			},
		}
	}
</script>

<style lang="scss" scoped>
.postList{
	.title{
		padding-top: 20rpx;
		padding-left: 30rpx;
		font-size: 32rpx;
	}
	.box{
		padding: 30rpx;
		.search{
			background-color: #fff;
			height: 70rpx;
			width: 100%;
			margin: 20rpx 0;
			display: flex;
			justify-content: center;
			align-items: center;
			font-size: 28rpx;
			border-radius: 10rpx;
			.icon{
				margin: 0 20rpx;
			}
			input{
				
			}
			.text{
				margin-left: auto;
				margin-right: 20rpx;
			}
		}
	}
}
</style>
